Ir al contenido
Documentación de Endless

YouTube trending

POST
/social/youtube_trending

Get the top trending YouTube videos for a region, optionally by category (music, games, movies). Use for 'what's hot/trending' research. Returns YouTube's one trending list (up to 50). For a specific topic use youtube_search.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/social/youtube_trending" \  -H "Content-Type: application/json" \  -d '{    "organization_id": "string",    "input": {}  }'
{  "operation": "instagram_profile",  "result": {    "summary": "string",    "geo": "string",    "count": -9007199254740991,    "videos": [      {        "id": "string",        "url": "string",        "title": "string",        "description": "string",        "channel": {          "id": "string",          "title": "string",          "handle": "string",          "url": "string"        },        "published_at": "string",        "published_text": "string",        "length": "string",        "view_count": 0,        "view_count_text": "string",        "like_count": 0,        "comment_count": 0,        "thumbnail": "string"      }    ]  },  "requests": 0,  "credits_charged": 0}